| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRenderStepContainer Struct Reference
[Renderloops & Rendersteps]

Container for render steps. More...

`#include <iengine/rendersteps/icontainer.h>`

Inheritance diagram for iRenderStepContainer:

[legend]
List of all members.

## Public Member Functions
virtual size_t | AddStep (iRenderStep *step)=0
| Add a step.
virtual bool | DeleteStep (iRenderStep *step)=0
| Remove a given step.
virtual size_t | Find (iRenderStep *step) const =0
| Find the index of a step.
virtual iRenderStep * | GetStep (size_t n) const =0
| Obtain a step.
virtual size_t | GetStepCount () const =0
| Get the number of steps.

## Detailed Description

Container for render steps.

Definition at line 39 of file icontainer.h.

## Member Function Documentation

virtual size_t iRenderStepContainer::AddStep | ( | iRenderStep * | step | ) | `[pure virtual]`

Add a step.

virtual bool iRenderStepContainer::DeleteStep | ( | iRenderStep * | step | ) | `[pure virtual]`

Remove a given step.

virtual size_t iRenderStepContainer::Find | ( | iRenderStep * | step | ) | const`[pure virtual]`

Find the index of a step.

virtual iRenderStep* iRenderStepContainer::GetStep | ( | size_t | n | ) | const`[pure virtual]`

Obtain a step.

virtual size_t iRenderStepContainer::GetStepCount | ( |  | ) | const`[pure virtual]`

Get the number of steps.

The documentation for this struct was generated from the following file:

- iengine/rendersteps/icontainer.h